PCI_ENABLE_MSIX_RANG(9)

NAME
pci_enable_msix_range - configure device's MSI-X capability structure

SYNOPSIS

int pci_enable_msix_range(struct pci_dev * dev, struct msix_entry * entries, int minvec, int maxvec);

ARGUMENTS

dev
    pointer to the pci_dev data structure of MSI-X device function

entries
    pointer to an array of MSI-X entries

minvec
    minimum number of MSI-X irqs requested

maxvec
    maximum number of MSI-X irqs requested

DESCRIPTION

Setup the MSI-X capability structure of device function with a maximum possible number of interrupts in the range between minvec and maxvec upon its software driver call to request for MSI-X mode enabled on its hardware device function. It returns a negative errno if an error occurs. If it succeeds, it returns the actual number of interrupts allocated and indicates the successful configuration of MSI-X capability structure with new allocated MSI-X interrupts.

COPYRIGHT